.naijaelections-button{
    position: fixed;
    bottom: 70px;
    right: 20px;
    padding: 15px;
    background-color: white;
    border-radius: 50px;
    box-shadow: 0px 0px 3px #848484;
    /* border: 1px solid rgb(197, 197, 197); */
    cursor: pointer;
    height: 35px;
    display: flex;
    gap: 5px;
    justify-content: center;
    align-items: center;
    transition: all 500ms;
    z-index: 9999;
    font-family: Montserrat;
    font-size: 11px;
    font-weight: 500;
}

.naijaelections-button:hover{
    padding: 20px;
    transition: all 200ms;
}

.naijaelections-button .fa-solid{
    color: rgb(7, 83, 7);
    font-size: 16px;
    transition: all 700ms;
}

.naijaelections-button:hover .fa-solid{
    color: rgb(18, 129, 18);
    transition: all 500ms;
}

.naijaelections-close-btn{
    background-color: white;
    height: 30px;
    width: 30px;
    border-radius: 100%;
    display: none;
    justify-content: center;
    align-items: center;
    /* box-shadow: 0px 0px 10px #c7c7c7; */
    border: 1px solid #c7c7c7;
    position: fixed;
    right: 10px;
    bottom: 10px;
    z-index: 9999;
    cursor: pointer;
}

.embed-overlay{
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 9998;
    background: rgba(0,0,0,0.7);
    display: none;
}

@keyframes hideEmbed{
    0%{
        transform: translateY(0);
    }

    100%{
        transform: translateY(100vh);
    }
}

@keyframes revealEmbed{
    0% {
        transform: translateX(350px);
    }

    100% {
        transform: translateX(0px);
    }
}

.hide-embed-animation{
    animation: hideEmbed 0.5s forwards;
}

.reveal-embed-animation{
    animation: revealEmbed 0.5s forwards;
}

.naijaelections-app-container{
    height: 100vh;
    width: 350px;
    /* border-radius: 15px; */
    position: fixed;
    bottom: 0px;
    right: 0px;
    background-color: white;
    box-shadow: 0px 0px 15px #777777;
    /* padding: 5px; */
    z-index: 9999;
    transform: translateY(100vh);

    iframe{
        height: 100%;
        width: 100%;
        border: none;
    }
}

@media (max-width:500px){
    .naijaelections-app-container{
        width: 100%;
    }

    @keyframes revealEmbed{
        0% {
            transform: translateX(100%);
        }

        100% {
            transform: translateX(0px);
        }
    }

    @keyframes jump {
        0%{
            transform: translateY(0px);
        }
        20%{
            transform: translateY(-30px);
        }
        25%{
            transform: translateY(0px);
        }
        100%{
            transform: translateY(0px);
        }
    }

    .naijaelections-button{
        font-size: 11px;
        height: 50px;
        width: 50px;
        animation: jump 10s infinite;

        .fa-solid{
            font-size: 15px;
        }

        .text{
            display: none;
        }
    }
}